"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropboxOAuth2Api = void 0;
const scopes = [
    'files.content.write',
    'files.content.read',
    'sharing.read',
];
class DropboxOAuth2Api {
    constructor() {
        this.name = 'dropboxOAuth2Api';
        this.extends = [
            'oAuth2Api',
        ];
        this.displayName = 'Dropbox OAuth2 API';
        this.documentationUrl = 'dropbox';
        this.properties = [
            {
                displayName: 'Authorization URL',
                name: 'authUrl',
                type: 'hidden',
                default: 'https://www.dropbox.com/oauth2/authorize',
                required: true,
            },
            {
                displayName: 'Access Token URL',
                name: 'accessTokenUrl',
                type: 'hidden',
                default: 'https://api.dropboxapi.com/oauth2/token',
                required: true,
            },
            {
                displayName: 'Scope',
                name: 'scope',
                type: 'hidden',
                default: scopes.join(' '),
            },
            {
                displayName: 'Auth URI Query Parameters',
                name: 'authQueryParameters',
                type: 'hidden',
                default: 'token_access_type=offline',
            },
            {
                displayName: 'Authentication',
                name: 'authentication',
                type: 'hidden',
                default: 'header',
            },
        ];
    }
}
exports.DropboxOAuth2Api = DropboxOAuth2Api;
//# sourceMappingURL=DropboxOAuth2Api.credentials.js.map