"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gumroadApiRequest = void 0;
async function gumroadApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = this.getCredentials('gumroadApi');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    body = Object.assign({ access_token: credentials.accessToken }, body);
    let options = {
        method,
        qs,
        body,
        uri: uri || `https://api.gumroad.com/v2${resource}`,
        json: true,
    };
    options = Object.assign({}, options, option);
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new Error('Gumroad Error: ' + error.message);
    }
}
exports.gumroadApiRequest = gumroadApiRequest;
//# sourceMappingURL=GenericFunctions.js.map