"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lineApiRequest = void 0;
async function lineApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    let options = {
        headers: {
            'Content-Type': 'application/json',
        },
        method,
        body,
        qs,
        uri: uri || ``,
        json: true,
    };
    options = Object.assign({}, options, option);
    try {
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await this.helpers.requestOAuth2.call(this, 'lineNotifyOAuth2Api', options, { tokenType: 'Bearer' });
    }
    catch (error) {
        let errorMessage;
        if (error.response && error.response.body && error.response.body.message) {
            errorMessage = error.response.body.message;
            throw new Error(`Line error response [${error.statusCode}]: ${errorMessage}`);
        }
        throw error;
    }
}
exports.lineApiRequest = lineApiRequest;
//# sourceMappingURL=GenericFunctions.js.map