"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldFields = exports.fieldOperations = void 0;
exports.fieldOperations = [
    {
        displayName: 'Operation',
        name: 'operation',
        type: 'options',
        displayOptions: {
            show: {
                resource: [
                    'field',
                ],
            },
        },
        options: [
            {
                name: 'Get All',
                value: 'getAll',
                description: 'Get all fields',
            },
        ],
        default: 'getAll',
        description: 'The operation to perform.',
    },
];
exports.fieldFields = [
    {
        displayName: 'Table ID',
        name: 'tableId',
        type: 'string',
        default: '',
        required: true,
        displayOptions: {
            show: {
                resource: [
                    'field',
                ],
                operation: [
                    'getAll',
                ],
            },
        },
        description: 'The table identifier',
    },
    {
        displayName: 'Return All',
        name: 'returnAll',
        type: 'boolean',
        displayOptions: {
            show: {
                resource: [
                    'field',
                ],
                operation: [
                    'getAll',
                ],
            },
        },
        default: false,
        description: 'Returns a list of your user contacts.',
    },
    {
        displayName: 'Limit',
        name: 'limit',
        type: 'number',
        displayOptions: {
            show: {
                resource: [
                    'field',
                ],
                operation: [
                    'getAll',
                ],
                returnAll: [
                    false,
                ],
            },
        },
        typeOptions: {
            minValue: 1,
            maxValue: 100,
        },
        default: 50,
        description: 'How many results to return.',
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Field',
        default: {},
        displayOptions: {
            show: {
                resource: [
                    'field',
                ],
                operation: [
                    'getAll',
                ],
            },
        },
        options: [
            {
                displayName: 'Include Field Perms',
                name: 'includeFieldPerms',
                type: 'boolean',
                default: false,
                description: `Set to 'true' if you'd like to get back the custom permissions for the field(s)`,
            },
        ],
    },
];
//# sourceMappingURL=FieldDescription.js.map