"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.spontitApiRequest = void 0;
async function spontitApiRequest(method, resource, body = {}, qs = {}) {
    var _a;
    const credentials = this.getCredentials('spontitApi');
    try {
        const options = {
            headers: {
                'X-Authorization': credentials.apiKey,
                'X-UserId': credentials.username,
            },
            method,
            body,
            qs,
            uri: `https://api.spontit.com/v3${resource}`,
            json: true,
        };
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await ((_a = this.helpers) === null || _a === void 0 ? void 0 : _a.request(options));
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.message) {
            const messages = error.response.body.message;
            throw new Error(`Spontit error response [${error.statusCode}]: ${messages}`);
        }
        throw error;
    }
}
exports.spontitApiRequest = spontitApiRequest;
//# sourceMappingURL=GenericFunctions.js.map