"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.upleadApiRequest = void 0;
async function upleadApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = this.getCredentials('upleadApi');
    if (credentials === undefined) {
        throw new Error('No credentials got returned!');
    }
    let options = {
        headers: { Authorization: credentials.apiKey },
        method,
        qs,
        body,
        uri: uri || `https://api.uplead.com/v2${resource}`,
        json: true,
    };
    options = Object.assign({}, options, option);
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (err) {
        throw new Error(err);
    }
}
exports.upleadApiRequest = upleadApiRequest;
//# sourceMappingURL=GenericFunctions.js.map