"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yourlsApiRequest = void 0;
async function yourlsApiRequest(method, body = {}, qs = {}) {
    const credentials = this.getCredentials('yourlsApi');
    qs.signature = credentials.signature;
    qs.format = 'json';
    const options = {
        method,
        body,
        qs,
        uri: `${credentials.url}/yourls-api.php`,
        json: true,
    };
    try {
        const response = await this.helpers.request.call(this, options);
        if (response.status === 'fail') {
            throw new Error(`Yourls error response [400]: ${response.message}`);
        }
        return response;
    }
    catch (error) {
        if (error.response && error.response.body && error.response.body.msg) {
            const message = error.response.body.msg;
            throw new Error(`Yourls error response [${error.statusCode}]: ${message}`);
        }
        throw error;
    }
}
exports.yourlsApiRequest = yourlsApiRequest;
//# sourceMappingURL=GenericFunctions.js.map